Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.message
Interface Message

All Superinterfaces:
  java.util.Map<java.lang.String,java.lang.Object>, StringMap

All Known Implementing Classes:
  AbstractWrappedMessage, MessageImpl, XMLMessage

    public interface Message

extends StringMap

The base interface for all all message implementations. All message objects passed to interceptors use this interface.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`static java.lang.String` | `ACCEPT_CONTENT_TYPE`
`static java.lang.String` | `ASYNC_POST_RESPONSE_DISPATCH` Boolean property specifying if the server should send the response asynchronously.
`static java.lang.String` | `ATTACHMENTS`
`static java.lang.String` | `BASE_PATH`
`static java.lang.String` | `CONTENT_TYPE`
`static java.lang.String` | `DECOUPLED_CHANNEL_MESSAGE` Boolean property specifying if this message arrived via a decoupled endpoint.
`static java.lang.String` | `ENCODING`
`static java.lang.String` | `ENDPOINT_ADDRESS`
`static java.lang.String` | `FAULT_STACKTRACE_ENABLED`
`static java.lang.String` | `FIXED_PARAMETER_ORDER`
`static java.lang.String` | `HTTP_REQUEST_METHOD`
`static java.lang.String` | `INBOUND_MESSAGE` Boolean property specifying if the message is inbound.
`static java.lang.String` | `INVOCATION_CONTEXT` A Map keyed by a string that stores optional context information associated with the invocation that spawned the message.
`static java.lang.String` | `MAINTAIN_SESSION`
`static java.lang.String` | `MIME_HEADERS` A Map containing the MIME headers for a SOAP message.
`static java.lang.String` | `MTOM_ENABLED` Boolean property specifying in the runtime is configured to process MTOM attachments.
`static java.lang.String` | `MTOM_THRESHOLD`
`static java.lang.String` | `PARTIAL_RESPONSE_MESSAGE`
`static java.lang.String` | `PATH_INFO`
`static java.lang.String` | `PROPOGATE_EXCEPTION`
`static java.lang.String` | `PROTOCOL_HEADERS`
`static java.lang.String` | `QUERY_STRING`
`static java.lang.String` | `REQUEST_URI`
`static java.lang.String` | `REQUESTOR_ROLE` Boolean property specifying if the message is a request message.
`static java.lang.String` | `RESPONSE_CODE`
`static java.lang.String` | `SCHEMA_VALIDATION_ENABLED`
`static java.lang.String` | `TRANSPORT`
`static java.lang.String` | `WSDL_DESCRIPTION`
`static java.lang.String` | `WSDL_INTERFACE`
`static java.lang.String` | `WSDL_OPERATION`
`static java.lang.String` | `WSDL_PORT`
`static java.lang.String` | `WSDL_SERVICE`

Method Summary
`java.util.Collection<Attachment>` | `getAttachments()` Retrieve any binary attachments associated with the message.
`
`<T> T`
` | `getContent(java.lang.Class<T> format)` Retrieve the encapsulated content as a particular type.
`java.util.Set<java.lang.Class<?>>` | `getContentFormats()`
`java.lang.Object` | `getContextualProperty(java.lang.String key)` Queries the Message object's metadata for a specific property.
`Destination` | `getDestination()`
`Exchange` | `getExchange()`
`java.lang.String` | `getId()`
`InterceptorChain` | `getInterceptorChain()` Returns a live copy of the messages interceptor chain.
`
`<T> void`
` | `removeContent(java.lang.Class<T> format)` Removes a content from a message.
`void` | `setAttachments(java.util.Collection<Attachment> attachments)`
`
`<T> void`
` | `setContent(java.lang.Class<T> format, java.lang.Object content)` Provide the encapsulated content as a particular type (a result type if message is outbound, a source type if message is inbound)
`void` | `setExchange(Exchange exchange)`
`void` | `setId(java.lang.String id)`
`void` | `setInterceptorChain(InterceptorChain chain)`

Methods inherited from interface org.apache.cxf.message.StringMap
`get, put`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Field Detail

### TRANSPORT

    static final java.lang.String TRANSPORT

See Also:
  Constant Field Values

### REQUESTOR_ROLE

    static final java.lang.String REQUESTOR_ROLE

  Boolean property specifying if the message is a request message.

  See Also:
    Constant Field Values

### INBOUND_MESSAGE

    static final java.lang.String INBOUND_MESSAGE

  Boolean property specifying if the message is inbound.

  See Also:
    Constant Field Values

### INVOCATION_CONTEXT

    static final java.lang.String INVOCATION_CONTEXT

  A Map keyed by a string that stores optional context information associated with the invocation that spawned the message.

  See Also:
    Constant Field Values

### MIME_HEADERS

    static final java.lang.String MIME_HEADERS

  A Map containing the MIME headers for a SOAP message.

  See Also:
    Constant Field Values

### ASYNC_POST_RESPONSE_DISPATCH

    static final java.lang.String ASYNC_POST_RESPONSE_DISPATCH

  Boolean property specifying if the server should send the response asynchronously.

  See Also:
    Constant Field Values

### DECOUPLED_CHANNEL_MESSAGE

    static final java.lang.String DECOUPLED_CHANNEL_MESSAGE

  Boolean property specifying if this message arrived via a decoupled endpoint.

  See Also:
    Constant Field Values

### PARTIAL_RESPONSE_MESSAGE

    static final java.lang.String PARTIAL_RESPONSE_MESSAGE

See Also:
  Constant Field Values

### PROTOCOL_HEADERS

    static final java.lang.String PROTOCOL_HEADERS

### RESPONSE_CODE

    static final java.lang.String RESPONSE_CODE

### ENDPOINT_ADDRESS

    static final java.lang.String ENDPOINT_ADDRESS

### HTTP_REQUEST_METHOD

    static final java.lang.String HTTP_REQUEST_METHOD

### PATH_INFO

    static final java.lang.String PATH_INFO

### REQUEST_URI

    static final java.lang.String REQUEST_URI

### QUERY_STRING

    static final java.lang.String QUERY_STRING

### PROPOGATE_EXCEPTION

    static final java.lang.String PROPOGATE_EXCEPTION

### MTOM_ENABLED

    static final java.lang.String MTOM_ENABLED

  Boolean property specifying in the runtime is configured to process MTOM attachments.

  See Also:
    Constant Field Values

### MTOM_THRESHOLD

    static final java.lang.String MTOM_THRESHOLD

See Also:
  Constant Field Values

### SCHEMA_VALIDATION_ENABLED

    static final java.lang.String SCHEMA_VALIDATION_ENABLED

See Also:
  Constant Field Values

### FAULT_STACKTRACE_ENABLED

    static final java.lang.String FAULT_STACKTRACE_ENABLED

See Also:
  Constant Field Values

### CONTENT_TYPE

    static final java.lang.String CONTENT_TYPE

See Also:
  Constant Field Values

### ACCEPT_CONTENT_TYPE

    static final java.lang.String ACCEPT_CONTENT_TYPE

See Also:
  Constant Field Values

### BASE_PATH

    static final java.lang.String BASE_PATH

### ENCODING

    static final java.lang.String ENCODING

### FIXED_PARAMETER_ORDER

    static final java.lang.String FIXED_PARAMETER_ORDER

### MAINTAIN_SESSION

    static final java.lang.String MAINTAIN_SESSION

### ATTACHMENTS

    static final java.lang.String ATTACHMENTS

### WSDL_DESCRIPTION

    static final java.lang.String WSDL_DESCRIPTION

See Also:
  Constant Field Values

### WSDL_SERVICE

    static final java.lang.String WSDL_SERVICE

See Also:
  Constant Field Values

### WSDL_PORT

    static final java.lang.String WSDL_PORT

See Also:
  Constant Field Values

### WSDL_INTERFACE

    static final java.lang.String WSDL_INTERFACE

See Also:
  Constant Field Values

### WSDL_OPERATION

    static final java.lang.String WSDL_OPERATION

See Also:
  Constant Field Values

Method Detail

### getId

    java.lang.String getId()

### setId

    void setId(java.lang.String id)

### getInterceptorChain

    InterceptorChain getInterceptorChain()

  Returns a live copy of the messages interceptor chain. This is useful when an interceptor wants to modify the interceptor chain on the fly.

  Returns:
    the interceptor chain used to process the message

### setInterceptorChain

    void setInterceptorChain(InterceptorChain chain)

### getDestination

    Destination getDestination()

  Returns:
    the associated Destination if message is inbound, null otherwise

### getExchange

    Exchange getExchange()

### setExchange

    void setExchange(Exchange exchange)

### getAttachments

    java.util.Collection<Attachment> getAttachments()

  Retrieve any binary attachments associated with the message.

  Returns:
    a collection containing the attachments

### setAttachments

    void setAttachments(java.util.Collection<Attachment> attachments)

### getContent

    <T> T getContent(java.lang.Class<T> format)

  Retrieve the encapsulated content as a particular type. The content is available as a result type if the message is outbound. The content is available as a source type if message is inbound. If the content is not available as the specified type null is returned.

  Parameters:
    `format` - the expected content format
  Returns:
    the encapsulated content

### setContent

    <T> void setContent(java.lang.Class<T> format,
                        java.lang.Object content)

  Provide the encapsulated content as a particular type (a result type if message is outbound, a source type if message is inbound)

  Parameters:
    `format` - the provided content format
    `content` - the content to be encapsulated

### getContentFormats

    java.util.Set<java.lang.Class<?>> getContentFormats()

  Returns:
    the set of currently encapsulated content formats

### removeContent

    <T> void removeContent(java.lang.Class<T> format)

  Removes a content from a message. If some contents are completely consumed, removing them is a good idea

  Parameters:
    `format` - the format to remove

### getContextualProperty

    java.lang.Object getContextualProperty(java.lang.String key)

  Queries the Message object's metadata for a specific property.

  Parameters:
    `key` - the Message interface's property strings that correlates to the desired property
  Returns:
    the property's value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF